plugins {
    id 'com.android.application'
}

android {
    namespace 'com.example.nexilissamplecodeburger'
    compileSdkVersion 34

	// signingConfigs {
    //     release {
    //         keyAlias '***REPLACE***WITH***YOUR***KEYALIAS***'
    //         storeFile file('***REPLACE***WITH***PATH***YOUR***KEY***')
    //         storePassword '***REPLACE***WITH***YOUR***STOREPASSWORD***'
    //         keyPassword '***REPLACE***WITH***YOUR***KEYPASSWORD***'
    //     }
    // }
	
    defaultConfig {
        applicationId "com.example.nexilissamplecodeburger"
        minSdk 23
        targetSdkVersion 34
        versionCode 1
        versionName "1.0"
        resConfigs "in", "en"
        ndk.abiFilters 'armeabi-v7a', 'arm64-v8a'
        multiDexEnabled true

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
    }

    buildTypes {
        release {
            minifyEnabled true
			shrinkResources true
            debuggable false
            jniDebuggable false
            renderscriptDebuggable false
            zipAlignEnabled true
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }

    lintOptions {
        abortOnError false
    }

    packagingOptions {
        exclude 'META-INF/DEPENDENCIES'
        exclude 'META-INF/LICENSE'
        exclude 'META-INF/LICENSE.txt'
        exclude 'META-INF/license.txt'
        exclude 'META-INF/NOTICE'
        exclude 'META-INF/NOTICE.txt'
        exclude 'META-INF/notice.txt'
        exclude 'META-INF/ASL2.0'
        doNotStrip "/armeabi-v7a/.so"
        doNotStrip "/arm64-v8a/.so"
        jniLibs {
            useLegacyPackaging = true
        }
    }
}

dependencies {

    implementation 'androidx.appcompat:appcompat:1.6.1'
    implementation 'com.google.android.material:material:1.9.0'
    implementation 'androidx.constraintlayout:constraintlayout:2.1.4'
    testImplementation 'junit:junit:4.13.2'
    androidTestImplementation 'androidx.test.ext:junit:1.1.5'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.5.1'

    // *** Add Nexilis Lite dependencies ***
    implementation('***REPLACE***WITH***NEXILIS***VERSION***LIBRARY***') {
        transitive = true
        exclude group: 'org.apache.httpcomponents'
    }
}